
%define libmajor 11
%define libname %mklibname %{name} %{libmajor}
%define devname %mklibname -d %{name}



Name:           oce
Version:        0.18.2
Release:        %mkrel 2
Summary:        OpenCASCADE Community Edition
Group:		    Sciences/Physics
License:        LGPLv2 with exception
URL:            https://github.com/tpaviot/oce
Source0:        https://github.com/tpaviot/oce/archive/%{commit}/OCE-%{version}.tar.xz
Source1:        DRAWEXE.1
Source2:        opencascade-draw.desktop
Source3:        oce-256.png
Source4:        oce-128.png
Source5:        oce-64.png
Source6:        oce-48.png
Patch0:         OCE-fix_xlocale.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  x11-proto-devel
BuildRequires:  mesagl-devel mesaglu-devel
BuildRequires:  libxmu-devel
BuildRequires:  ftgl-devel
BuildRequires:  freeimage-devel
BuildRequires:  gl2ps-devel
BuildRequires:  libgomp-devel
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  tbb-devel
Provides:       bundled(gnulib)
Provides:       OCE
Provides:       opencascade-OCE
Obsoletes:      opencascade
Provides:       opencascade = %version-%release


%description
OpenCASCADE Community Edition (OCE) is a suite for 3D surface and solid
modeling, visualization, data exchange and rapid application development. It
is an excellent platform for development of numerical simulation software
including CAD/CAM/CAE, AEC and GIS, as well as PDM applications.

#-----------------------------------------------------------------------
%package -n %{libname}
Summary:	3D modeling & numerical simulation
Group:		System/Libraries

%description	-n %{libname}
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.


%package -n %{devname}
Summary:        OpenCASCADE CAE platform library development files
Group:          Development/Libraries
Provides:	OCE-devel
Provides:	opencascade-OCE-devel
Provides:	opencascade-devel
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes: libopencascade-devel
Provides: libopencascade-devel = %version-%release

%description -n %{devname}
OpenCASCADE CAE platform library development files

%prep
%setup -q -n oce-OCE-%{version}
%apply_patches

%build
rm -fr %{buildroot}
# Stop excessive linking that cmake projects are prone to. 
export LDFLAGS="-Wl,--as-needed"
CFLAGS='%{optflags} -fno-delete-null-pointer-checks'; export CFLAGS
CXXFLAGS='%{optflags} -fno-delete-null-pointer-checks'; export CXXFLAGS
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DOCE_INSTALL_PREFIX=%{_prefix} \
       -DOCE_INSTALL_LIB_DIR=%{_lib} \
       -DOCE_WITH_FREEIMAGE=ON \
       -DOCE_WITH_GL2PS=ON \
       -DOCE_MULTITHREAD_LIBRARY:STRING=OPENMP \
       -DCMAKE_SKIP_RPATH=FALSE \
       -DOCE_DRAW=ON \
       -DOCE_TESTING=ON \
       ..

%make

%install
rm -rf %buildroot
pushd build
%make_install
popd

# Install manpage for DRAWEXE
install -Dm 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/DRAWEXE.1

# Install and validate desktop file
desktop-file-install                           \
    --dir=%{buildroot}%{_datadir}/applications \
    %{SOURCE2}

# Install icons
for size in 256 128 64 48; do
    icon=%{_sourcedir}/oce-${size}.png
    install -Dm 0644 $icon \
        %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/oce.png
done


%clean
rm -rf %{buildroot}

%files
#%%files foundation
%doc LICENSE_LGPL_21.txt OCCT_LGPL_EXCEPTION.txt
%{_bindir}/DRAWEXE
%{_datadir}/oce-*
%{_datadir}/applications
%{_datadir}/icons
%{_datadir}/man

%files -n %{libname}
%{_libdir}/*.so.*
%{_libdir}/oce-*/*.so.*


%files -n %{devname}
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/oce-*/*.so
%{_libdir}/oce-*/*.cmake


%changelog
* Fri Feb 02 2018 adrianomorselli <adrianomorselli> 0.18.2-2uplos2018
- imported for new smesh
